﻿using System;
using System.Collections.Generic;
using System.Text;
using Syncfusion.SfCalendar.XForms;
using Xamarin.Forms;

namespace CalendarAppointment
{
    public class CalendarBehavior : Behavior<ContentPage>
    {
        SfCalendar calendar;
        CalendarEventCollection appointments;
        
        protected override void OnAttachedTo(ContentPage bindable)
        {
            base.OnAttachedTo(bindable);
            calendar = bindable.FindByName<SfCalendar>("calendar");
            calendar.OnMonthCellLoaded += Calendar_OnMonthCellLoaded;
        }

        private void Calendar_OnMonthCellLoaded(object sender, MonthCellLoadedEventArgs args)
        {
            // Setting month cell backgroud color based on dates
            if(args.Date.Day == 16 || args.Date.Day == 17 || args.Date.Day == 22 || args.Date.Day == 23 || args.Date.Day == 24)
            {
                args.BackgroundColor = Color.LightGreen;
            }

            appointments = calendar.DataSource as CalendarEventCollection;

            for (int i = 0; i < appointments.Count; i++)
            {
                var appointment = appointments[i];
                if (args.Date.Date == appointment.StartTime.Date)
                {
                    // Setting Background color when the appointment available on particular day
                    args.BackgroundColor = Color.LightSkyBlue;
                }
            }           
        }
    }
}
